> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/address/create-address.md).

# Create Address

Create an address for getting rates or arranging pickup and delivery.

## /addresses

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/addresses`

This endpoint allows you to add a new address to your account.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

#### Request Body

| Name                                      | Type    | Description                                                                   |
| ----------------------------------------- | ------- | ----------------------------------------------------------------------------- |
| city<mark style="color:red;">\*</mark>    | String  | Address city.                                                                 |
| country<mark style="color:red;">\*</mark> | String  | ISO 2 country code for address.                                               |
| email                                     | String  | Email of person at address.                                                   |
| first\_name                               | String  | First name of person at address. Required for arranging pickup / delivery.    |
| is\_residential                           | Boolean | Indicates if address is a residential address or not. Defaults to ***true***. |
| last\_name                                | String  | Last name of person at address. Required for arranging pickup / delivery.     |
| line1                                     | String  | Street address. Required for arranging pickup / delivery.                     |
| line2                                     | String  | Second line of street address.                                                |
| nin                                       | String  | NIN used to verify the address on create or update.                           |
| metadata                                  | Object  | Additional information for an address.                                        |
| name                                      | String  | Full name of person at address.                                               |
| phone                                     | String  | Phone number of person at address. Required for arranging pickup / delivery.  |
| state<mark style="color:red;">\*</mark>   | String  | Address state                                                                 |
| zip                                       | String  | Zip / Postal code. Required for arranging pickup / delivery.                  |

{% tabs %}
{% tab title="200 Address created successfully." %}

```
{
	status: true,
	message: 'Address created successfully',
	data: {
		address_id: 'AD-00632494667',	
		city: 'Lagos',
		coordinates: {
				lat: 6.5969424,
				lng: 3.3542992
		},	
		country: 'NG',
		email: 'augustus_obi@shipmonk.ng',
		first_name: 'Augustus',
		is_residential: true,
		last_name: 'Obi',
		line1: '1121 Allen Avenue, Ikeja',
		line2: '',
		metadata: {
			my_app_customer_id: 11234
		},
		name: 'Augustus Obi',
		phone: '+2348122340000',
		state: 'Lagos',
		zip: '121006',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/address/create-address.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
